=== added directory '.pc/12_fix_bin_env_location.patch'
=== added directory '.pc/12_fix_bin_env_location.patch/scripts'
=== added file '.pc/12_fix_bin_env_location.patch/scripts/restricted_from_invalid.py'
--- .pc/12_fix_bin_env_location.patch/scripts/restricted_from_invalid.py	1970-01-01 00:00:00 +0000
+++ .pc/12_fix_bin_env_location.patch/scripts/restricted_from_invalid.py	2011-04-13 10:23:11 +0000
@@ -0,0 +1,55 @@
+#!/bin/env python
+import os, sys
+
+def usage():
+    print "%s WORK_DIR [num_results]" % sys.argv[0]
+    sys.exit(1)
+
+try:
+    work_dir = sys.argv[1]
+except:
+    print "you must specify your DenyHosts WORK_DIR"
+    usage()
+
+try: 
+    num = int(sys.argv[2])
+except:
+    num = 10
+
+fname = os.path.join(work_dir, "users-invalid")
+
+try:
+    fp = open(fname, "r")
+except:
+    print fname, "does not exist"
+    sys.exit(1)
+
+d = {}
+
+for line in fp:
+    try:
+        foo = line.split(":")
+        username = foo[0]
+        attempts = int(foo[1])
+        # timestamp = foo[2].strip()
+    except:
+        continue
+
+    l = d.get(attempts, [])
+    l.append(username)
+    d[attempts] = l
+
+fp.close()
+
+keys = d.keys()
+keys.sort()
+keys.reverse()
+
+i = 0
+for key in keys:
+    l = d.get(key)
+    for username in l:
+        i += 1
+        print username
+        if i >= num: break
+    if i >= num: break

=== added file '.pc/12_fix_bin_env_location.patch/scripts/restricted_from_passwd.py'
--- .pc/12_fix_bin_env_location.patch/scripts/restricted_from_passwd.py	1970-01-01 00:00:00 +0000
+++ .pc/12_fix_bin_env_location.patch/scripts/restricted_from_passwd.py	2011-04-13 10:23:11 +0000
@@ -0,0 +1,31 @@
+#!/bin/env python
+#
+############################################################################
+# this script will read the /etc/passwd file and extract usernames
+# that have one of the RESTRICTED_SHELLS.  The ouput of this
+# script is a list of these restricted usernames suitable for
+# use in WORK_DIR/restricted-usernames
+#
+# such as: python restricted_from_passwd > $WORK_DIR/restricted-usernames
+# where $WORK_DIR is your DenyHosts WORK_DIR parameter
+#
+############################################################################
+
+RESTRICTED_SHELLS = ("/sbin/nologin",
+                     "/sbin/shutdown",
+                     "/sbin/halt")
+
+from pwd import getpwall
+
+passwd = getpwall()
+
+usernames = []
+for pw_tuple in passwd:
+    if pw_tuple[6] in RESTRICTED_SHELLS:
+        usernames.append(pw_tuple[0])
+
+usernames.sort()
+for username in usernames:
+    print username
+    
+                     

=== modified file '.pc/applied-patches'
--- .pc/applied-patches	2010-12-15 00:42:08 +0000
+++ .pc/applied-patches	2011-04-13 10:23:11 +0000
@@ -9,3 +9,4 @@
 09_plugin_deny.patch
 10_create_timestamp.patch
 11_single_config_switch.patch
+12_fix_bin_env_location.patch

=== modified file 'debian/changelog'
--- debian/changelog	2010-12-23 20:12:00 +0000
+++ debian/changelog	2011-04-13 10:23:11 +0000
@@ -1,3 +1,21 @@
+denyhosts (2.6-9) unstable; urgency=low
+
+  * New Maintainer (Closes: #614581)
+  * debian/denyhosts.logrotate: Do not source /etc/denyhosts.conf since it may
+    not be a valid shell script (Closes: #608672)
+  * debian/dh_reenable: Added reasonable error message when script is not run
+    as root (Closes: #619390)
+  * debian/denyhosts.init:
+    - Added support for the "status" action (Closes: #547036)
+    - Fixed messages in "restart" and "force-reload" actions which were being
+      output incorrectly.
+  * Updated Vcs tags to recommended format
+  * Added a patch to correct /bin/env to /usr/bin/env
+  * debian/denyhosts.doc-base: Added to register FAQ with doc-base
+  * Fixed postinst script to make /var/lib/denyhosts 0750 instead of 0200
+
+ -- Kyle Willmon <kylewillmon@gmail.com>  Wed, 13 Apr 2011 10:23:11 -0500
+
 denyhosts (2.6-8.1) unstable; urgency=low
 
   * Non-maintainer Upload

=== modified file 'debian/control'
--- debian/control	2010-12-15 00:42:08 +0000
+++ debian/control	2011-04-13 10:23:11 +0000
@@ -1,18 +1,18 @@
 Source: denyhosts
 Section: net
 Priority: optional
-Maintainer: Marco Bertorello <marco@bertorello.ns0.it>
+Maintainer: Kyle Willmon <kylewillmon@gmail.com>
 Uploaders: Marco Nenciarini <mnencia@debian.org>
 Build-Depends: cdbs (>= 0.4.43), debhelper (>= 6), python, python-central (>= 0.5)
 Standards-Version: 3.9.1
 XS-Python-Version: current
-Vcs-Svn: svn+ssh://svn.debian.org/svn/collab-maint/ext-maint/denyhosts/trunk
+Vcs-Svn: svn://svn.debian.org/svn/collab-maint/ext-maint/denyhosts/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/ext-maint/denyhosts/trunk/?op=log
 Homepage: http://denyhosts.sourceforge.net/
 
 Package: denyhosts
 Architecture: all
-Depends: lsb-base (>= 3.1-10), ${python:Depends}, ${misc:Depends}
+Depends: lsb-base (>= 3.1-13), ${python:Depends}, ${misc:Depends}
 Conflicts: denyhosts-common, denyhosts-python2.3, denyhosts-python2.4
 Replaces: denyhosts-common, denyhosts-python2.3, denyhosts-python2.4
 XB-Python-Version: ${python:Versions}

=== added file 'debian/denyhosts.doc-base'
--- debian/denyhosts.doc-base	1970-01-01 00:00:00 +0000
+++ debian/denyhosts.doc-base	2011-04-13 10:23:11 +0000
@@ -0,0 +1,7 @@
+Document: denyhosts-faq
+Title: Denyhosts FAQ
+Section: FAQ
+
+Format: HTML
+Index: /usr/share/doc/denyhosts/FAQ.html
+Files: /usr/share/doc/denyhosts/FAQ.html

=== modified file 'debian/denyhosts.init'
--- debian/denyhosts.init	2010-02-08 15:54:13 +0000
+++ debian/denyhosts.init	2011-04-13 10:23:11 +0000
@@ -82,14 +82,15 @@
         d_stop
 	;;
   restart|force-reload)
-	log_daemon_msg "Restarting $DESC"
 	d_stop || /bin/true
 	sleep 1
 	d_start
-	log_daemon_msg "Done"
+	;;
+  status)
+	status_of_proc -p $PIDFILE $DAEMON $NAME
 	;;
   *)
-	log_daemon_msg "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+	log_daemon_msg "Usage: $SCRIPTNAME {start|stop|restart|force-reload|status}" >&2
 	exit 3
 	;;
 esac

=== modified file 'debian/denyhosts.logrotate'
--- debian/denyhosts.logrotate	2010-12-15 00:42:08 +0000
+++ debian/denyhosts.logrotate	2011-04-13 10:23:11 +0000
@@ -1,14 +1,16 @@
 /var/log/denyhosts {
-        create 0640 root adm
-        missingok
-        weekly
-        rotate 7
-        compress
-        postrotate
-		. /etc/denyhosts.conf
-        	/etc/init.d/denyhosts stop > /dev/null
-		/usr/bin/sort -u $HOSTS_DENY > $HOSTS_DENY.tmp
-		/bin/mv -f $HOSTS_DENY.tmp $HOSTS_DENY
-		/etc/init.f/denyhosts start > /dev/null
+	create 0640 root adm
+	missingok
+	weekly
+	rotate 7
+	compress
+	delaycompress
+	notifempty
+	postrotate
+		if [ -x /usr/sbin/invoke-rc.d ]; then \
+			invoke-rc.d denyhosts restart > /dev/null; \
+		else \
+			/etc/init.d/denyhosts restart > /dev/null; \
+		fi
 	endscript
 }

=== modified file 'debian/denyhosts.postinst'
--- debian/denyhosts.postinst	2010-12-23 20:12:00 +0000
+++ debian/denyhosts.postinst	2011-04-13 10:23:11 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
-# postrm script for denyhosts
+# postinst script for denyhosts
 
 set -e
 
@@ -9,8 +9,7 @@
 chmod 640 /var/log/denyhosts
 chmod 640 /etc/denyhosts.conf
 test -d $libdir || mkdir $libdir
-chmod a-r $libdir
-chmod a-x $libdir
+chmod 750 $libdir
 
 #DEBHELPER#
 

=== modified file 'debian/dh_reenable'
--- debian/dh_reenable	2010-12-15 00:42:08 +0000
+++ debian/dh_reenable	2011-04-13 10:23:11 +0000
@@ -21,6 +21,10 @@
 import fileinput
 import re
 
+if os.getuid():
+	print "You need to be root to run %s" % sys.argv[0]
+	sys.exit(1)
+
 # file definition:
 
 HOSTSFILE='/var/lib/denyhosts/hosts'

=== added file 'debian/patches/12_fix_bin_env_location.patch'
--- debian/patches/12_fix_bin_env_location.patch	1970-01-01 00:00:00 +0000
+++ debian/patches/12_fix_bin_env_location.patch	2011-04-13 10:23:11 +0000
@@ -0,0 +1,18 @@
+Description: Change /bin/env in scripts to /usr/bin/env for accuracy
+Author: Kyle Willmon <kylewillmon@gmail.com>
+--- a/scripts/restricted_from_invalid.py
++++ b/scripts/restricted_from_invalid.py
+@@ -1,4 +1,4 @@
+-#!/bin/env python
++#!/usr/bin/env python
+ import os, sys
+ 
+ def usage():
+--- a/scripts/restricted_from_passwd.py
++++ b/scripts/restricted_from_passwd.py
+@@ -1,4 +1,4 @@
+-#!/bin/env python
++#!/usr/bin/env python
+ #
+ ############################################################################
+ # this script will read the /etc/passwd file and extract usernames

=== modified file 'debian/patches/series'
--- debian/patches/series	2010-12-15 00:42:08 +0000
+++ debian/patches/series	2011-04-13 10:23:11 +0000
@@ -9,4 +9,5 @@
 09_plugin_deny.patch
 10_create_timestamp.patch
 11_single_config_switch.patch
+12_fix_bin_env_location.patch
 

=== modified file 'scripts/restricted_from_invalid.py'
--- scripts/restricted_from_invalid.py	2006-04-24 20:02:57 +0000
+++ scripts/restricted_from_invalid.py	2011-04-13 10:23:11 +0000
@@ -1,4 +1,4 @@
-#!/bin/env python
+#!/usr/bin/env python
 import os, sys
 
 def usage():

=== modified file 'scripts/restricted_from_passwd.py'
--- scripts/restricted_from_passwd.py	2006-04-24 20:02:57 +0000
+++ scripts/restricted_from_passwd.py	2011-04-13 10:23:11 +0000
@@ -1,4 +1,4 @@
-#!/bin/env python
+#!/usr/bin/env python
 #
 ############################################################################
 # this script will read the /etc/passwd file and extract usernames

